Bug 214921 - Automatically delete old data from ews buildbot instance
Summary: Automatically delete old data from ews buildbot instance
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: Other
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Aakash Jain
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2020-07-29 08:30 PDT by Aakash Jain
Modified: 2021-04-14 08:46 PDT (History)
5 users (show)

See Also:


Attachments
Patch (1.42 KB, patch)
2020-11-23 12:09 PST, Aakash Jain
no flags Details | Formatted Diff | Diff
Patch (1.42 KB, patch)
2020-11-27 10:36 PST, Aakash Jain
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Aakash Jain 2020-07-29 08:30:32 PDT
Automatically delete old data from ews-build. We can choose a time range, maybe 1 year, after which the build logs will be deleted, the build and status-bubble information will still be retained, just the detailed build logs will be deleted. We can use Buildbot's JanitorConfigurator for that (https://docs.buildbot.net/latest/manual/configuration/configurators.html#janitorconfigurator).
Comment 1 Radar WebKit Bug Importer 2020-07-29 08:30:57 PDT
<rdar://problem/66274920>
Comment 2 Aakash Jain 2020-11-23 12:09:51 PST
Created attachment 414810 [details]
Patch
Comment 3 Aakash Jain 2020-11-23 12:15:34 PST
Since currently most of the infrastructure is down and there is almost no load on the server, I took this opportunity to run this on the server as well to delete logs older than 1 year. See: https://ews-build.webkit.org/#/builders/54/builds/1

After deleting the logs, the status-bubbles are still fully functional, buildbot builds are still accessible, just that the individual steps in the buildbot builds wouldn't show the logs, e.g.: https://ews-build.webkit.org/#/builders/19/builds/1
Comment 4 Aakash Jain 2020-11-27 10:36:59 PST
Created attachment 414957 [details]
Patch
Comment 5 Jonathan Bedard 2020-11-30 06:43:40 PST
Comment on attachment 414957 [details]
Patch

I like this change, it seems like a happy medium between outright deleting old builds entirely and keeping them around in some for to run analytics over them.
Comment 6 EWS 2020-11-30 07:05:11 PST
commit-queue failed to commit attachment 414957 [details] to WebKit repository.
Comment 7 EWS 2020-11-30 07:09:01 PST
Committed r270243: <https://trac.webkit.org/changeset/270243>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 414957 [details].